#
# spec file for package vdr-plugin-mcli
#
#

# norootforbuild

%define pluginversion 0.9.1
%define pluginname mcli
%define pluginurl http://www.baycom.de
#
%define plugindir vdr-mcli-plugin
%define plugintarball vdr-%pluginname-plugin.tar.bz2
#
%define pkgversion %pluginversion

Name:           vdr-plugin-mcli
Version:        %pkgversion
Release:        2.pm.2.1
Source:         %plugintarball
Source1:        sysconfig.vdr-mcli
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        VDR %pluginname plugin
License:        GPLv2+
Group:          Hardware/TV
BuildRequires:  gcc-c++ vdr-devel libxml2-devel
PreReq:         vdr(abi) = %{vdr_apiversion}
Url:            %pluginurl
#
PreReq:         %fillup_prereq
Patch0:         vdr-mcli-Makefile.diff
# used to be in vdr-plugins
Provides:       vdr-plugins:/usr/share/doc/packages/vdr/plugins/%{pluginname}

%description
%vdrname %pluginname plugin
With this plugin you can use a reel/baycom netciver in vdr.

%package -n libmcli
Group:          System/Libraries
Summary:        Shared library libmcli

%description -n libmcli
Package contains the libmcli.so shared library

%package -n netceiver-tools
Group:          Productivity/Multimedia/Other
Summary:        Commandline tools for netciver management
Requires:       libmcli = %{version}-%{release}

%description -n netceiver-tools
A view commandline programms to work with the netceiver
* mcli         - creats dvb devices with dvbloop kernel module
* netcvdiag    - diagnostic
* netcvlogview - view logfiles
* netcvupdate  - update firmware
* netcv2dvbip  - lets netciver be used by vlc




%prep
%setup -q -n %plugindir
%patch0 -p0

%build
export SUSE_ASNEEDED=0
%vdr_make libmcli.so
%vdr_make
cd mcast/tool
%{__make}
cd ../client
%{__make} mcli
cd ../netcv2dvbip
%{__make}

%install
install -d -m 755 %{buildroot}%{_libdir}
install -m 755 mcast/client/libmcli.so %{buildroot}%{_libdir}
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 mcast/tool/netcvdiag %{buildroot}%{_bindir}
install -m 755 mcast/tool/netcvlogview %{buildroot}%{_bindir}
install -m 755 mcast/tool/netcvupdate %{buildroot}%{_bindir}
install -m 755 mcast/client/mcli %{buildroot}%{_bindir}
install -m 755 mcast/netcv2dvbip/netcv2dvbip %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{vdr_sysconfdir}/plugins/mcli
# sysconfig
install -d -m 755 %{buildroot}/var/adm/fillup-templates
install -m 644 %{SOURCE1} %{buildroot}/var/adm/fillup-templates/sysconfig.%vdrname-mcli
#
%vdr_install_plugin %pluginname
%vdr_install_plugin_locale
#
%find_lang vdr-%pluginname

%clean
rm -rf "${RPM_BUILD_ROOT}"

%post -n libmcli -p /sbin/ldconfig
%postun -n libmcli -p /sbin/ldconfig

%post
%{fillup_only -n %vdrname -s mcli}

%files -f vdr-%pluginname.lang
%defattr(-,root,root)
%doc COPYING HISTORY README
%{vdr_libdir}/*
%attr(-,vdr,root) %dir %{vdr_sysconfdir}/plugins/mcli
/var/adm/fillup-templates/sysconfig.%vdrname-mcli

%files -n libmcli
%defattr(-,root,root)
%{_libdir}/libmcli.so

%files -n netceiver-tools
%defattr(-,root,root)
%{_bindir}/*


%changelog
* Sun Jan 16 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.9.1-2.pm.0
- update to svn 176
* Sun Jun 20 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.9.1-0.pm.3
- included lib and utils
* Sat Jun 19 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.9.1-0.pm.2
- update to svn 106
* Sat Jun 12 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.9.1-0.pm.1
- first packman build, svn checkout 2010-06-09
